# Calendar pick

A decision block that search for events lets the user choose a calendar.

The fiber will pause until the user has chosen a calendar, cancelled the dialog or the timeout expired.

## Input arguments

- Writable — whether to only show writable calendars.
- Hidden — whether to include “hidden” calendars, which likely aren’t meant to be accessed.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Calendar URI — variable to assign the URI of the chosen calendar.